import request from '@/utils/request'


// 工作汇报 API
export const JobInfoApi = {
	// 查询工作汇报分页
	getJobInfoPage: (params) => {
		return request({
			url: `/system/job-info/page`,
			params,
			method: 'get'
		})

	},
	// 查询工作汇报详情
	getJobInfo: (id) => {
		return request({
			url: `/system/job-info/get?id=` + id,
			method: 'get'
		})
	},

	// 模板信息
	jobDetail: (id) => {
		return request({
			url: `/system/job-info/jobDetail?id=` + id,
			method: 'get'
		})
	},

	// 新增工作汇报
	createJobInfo: (data) => {
		return request({
			url: `/system/job-info/create`,
			data,
			method: 'post'
		})
	},

	// 修改工作汇报
	updateJobInfo: (data) => {
		return request({
			url: `/system/job-info/update`,
			data,
			method: 'put'
		})
	},

	// 删除工作汇报
	deleteJobInfo: (id) => {
		return request({
			url: `/system/job-info/delete?id=` + id,
			method: 'delete'
		})
	}


}