import request from '@/utils/request'

// 登录方法
export function login(data) {
	return request({
		url: '/system/auth/app_login',
		headers: {
			isToken: false
		},
		method: 'POST',
		data
	})
}

// 获取用户详细信息
export function getInfo() {
	return request({
		url: '/system/auth/get-permission-info',
		method: 'GET'
	})
}

// 退出方法
export function logout() {
	return request({
		url: '/system/auth/logout',
		method: 'POST'
	})
}

//扫码登陆信息
export function qrLogin(data) {
	return request({
		url: '/system/auth/social-login-openid',
		method: 'POST',
		data
	})
}

/**
 * 获取小程序码
 */
export const getMiniCode = (data) => {
	return request({
		url: '/system/auth/web_code_login',
		method: "POST",
		data
	})
}