import request from '@/utils/request'

/**
 * 获取字典
 */
export function getDictBatchByType(params) {
	return request({
		url: `/system/dict-data/lists_dict_type`,
		method: 'GET',
		params
	})
}

/**
 * 获取部门树
 */
export function getDeptTree() {
	return request({
		url: `/system/dept/list-all-simple`,
		method: 'GET'
	})
}


/**
 * 获取标签列表
 * @param {array} params
 */
export function getTagData(params) {
	return request({
		url: `/system/tag-library/list`,
		method: 'GET',
		params: {
			codeList: params
		}
	})
}

/**
 * 获取区域
 */
export function getArea() {
	return request({
		url: `/system/home/getUserArea`,
		method: 'GET',
	})
}