import request from '@/utils/request'



// 企业标签 API
export const TagLibraryApi = {
  // 查询企业标签分页
  getTagLibraryPage(params) {
    return request({
      method: 'get',
      url: '/system/tag-library/page',
      params: params
    })
  },

  // 查询企业标签详情
  getTagLibrary(id) {
    return request({ 
      method: 'get',

      url: '/system/tag-library/get?id=' + id
    })
  },

  // 新增企业标签
  createTagLibrary(data) {
    return request({
      method: 'post',
      url: '/system/tag-library/create',
      data: data
    })
  },

  // 修改企业标签
  updateTagLibrary(data) {
    return request({
      method: 'put',
      url: '/system/tag-library/update',
      data: data
    })
  },

  // 删除企业标签
  deleteTagLibrary(id) {
    return request({
      method: 'delete',
      url: '/system/tag-library/delete?id=' + id
    })
  },

}
