import request from '@/utils/request'


export const TaskApi = {
	/**
	 * 获取列表
	 * @param {Object} params
	 */
	getList: (params) => {
		return request({
			url: `/system/task-info/appPage`,
			method: 'GET',
			params
		})
	},
	/**
	 * 获取详情
	 */
	getDetail: (id) => {
		return request({
			url: `/system/task-info/appGet?id=${id}`,
			method: 'GET',
		})
	},
	/**
	 * 转发
	 */
	replay: (data) => {
		return request({
			url: `/system/enterprise-inspections/passOn`,
			method: 'POST',
			data
		})
	},
	/**
	 * 查询部门树
	 */
	getDept: () => {
		return request({
			url: `/system/task-info/appSelectCreateDept`,
			method: 'GET',
		})
	}
}